PIP 0.5.0_alpha Platform-Independent Primitives

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes
pistatemachine.h File Reference

Base class for custom state machine. More...

## Classes
class | PIStateMachine< Type >
| Base class for custom state machine. More...
struct | PIStateMachine< Type >::Rule
| Rule of transition between states of machine More...
struct | PIStateMachine< Type >::State
| State of machine More...

## Detailed Description

Base class for custom state machine.